# $Revision: 1.1 $, $Date: 2004/11/17 00:47:51 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	sma
Summary:	Statistical Microarray Analysis
Summary(pl):	Statystyczne analizy mikrotablicowe
Name:		R-cran-%{modulename}
Version:	0.5.14
Release:	1
License:	GPL version 2 or newer
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	b669496897c520eb0a78ff62c647f3ef
URL:		http://www.stat.berkeley.edu/users/terry/zarray/Html/smacode.html
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package contains some simple functions for exploratory microarray
analysis.

%description -l pl
Pakiet zawiera proste funkcje do wyjaniania analiz mikrotablicowych.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/DESCRIPTION
%{_libdir}/R/library/%{modulename}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-sma.spec,v $
Revision 1.1  2004/11/17 00:47:51  undefine
- initital pld version

